org.apache.hadoop.hdfs.client

## Interface HdfsClientConfigKeys.HedgedRead

- Enclosing interface:
    org.apache.hadoop.hdfs.client.HdfsClientConfigKeys

      public static interface HdfsClientConfigKeys.HedgedRead

  dfs.client.hedged.read configuration properties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PREFIX`
    `static int` | `THREADPOOL_SIZE_DEFAULT`
    `static String` | `THREADPOOL_SIZE_KEY`
    `static long` | `THRESHOLD_MILLIS_DEFAULT`
    `static String` | `THRESHOLD_MILLIS_KEY`

- - ### Field Detail

    - #### PREFIX

          static final String PREFIX

      See Also:
        Constant Field Values

    - #### THRESHOLD_MILLIS_KEY

          static final String THRESHOLD_MILLIS_KEY

      See Also:
        Constant Field Values

    - #### THRESHOLD_MILLIS_DEFAULT

          static final long THRESHOLD_MILLIS_DEFAULT

      See Also:
        Constant Field Values

    - #### THREADPOOL_SIZE_KEY

          static final String THREADPOOL_SIZE_KEY

      See Also:
        Constant Field Values

    - #### THREADPOOL_SIZE_DEFAULT

          static final int THREADPOOL_SIZE_DEFAULT

      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.